Skip to main content
`Ctrl`+`K`

# TSTrajectorySetUp

Sets up the internal data structures, e.g. stacks, for the later use of a `TS` `TSTrajectory`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetUp(TSTrajectory tj, TS ts)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- ts - the TS context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSSetSaveTrajectory()`, `TSTrajectoryCreate()`, `TSTrajectoryDestroy()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

## Implementations

TSTrajectorySetUp_Basic() in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectorySetUp_Memory() in src/ts/trajectory/impls/memory/trajmemory.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages